SoLightModel(3IV)

NAME
SoLightModel — node that defines the lighting model to use when rendering

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoLightModel

SYNOPSIS
#include <Inventor/nodes/SoLightModel.h>

enum Model {
SoLightModel::BASE_COLOR
Use only the base (diffuse) object color
SoLightModel::PHONG
Use Phong lighting model
}

Fields from class SoLightModel:

SoSFEnum
model

Methods from class SoLightModel:

SoLightModel()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines the lighting model to be used when rendering subsequent shapes. The lighting model is specified in the model field. When the default model (Phong lighting) is used, light sources are required in a scene for objects to be easily visible.

FIELDS
SoSFEnum
model
Lighting model to use

METHODS

SoLightModel()
Creates a light model node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction
Sets the current lighting model in the state.

FILE FORMAT/DEFAULTS
LightModel {
model	PHONG
}

SEE ALSO
SoBaseColor, SoEnvironment, SoLight, SoMaterial